<?php class newses_express_news_posts extends WP_Widget {

	function __construct() {
		$widget_ops = array(
			'classname' => 'newses-widget-express-news-posts',
			'description' => __('Display News Express Posts', 'newses')
		);
		parent::__construct(false, $name = __('AR: Express Posts Widget', 'newses') , $widget_ops);
	}

	function form($instance) {

		$instance = wp_parse_args(
			(array) $instance,
			array(
				'widget_title' => '',
				'category' => '',
				'type' => 1,
				'style' => 0,
			)
		);
		$title = isset( $instance['widget_title'] ) ? $instance['widget_title'] : '';
		$type = ( isset($instance['type']) && is_numeric($instance['type']) ) ? (int) $instance['type'] : 1; ?>
		<p>
			<?php esc_html_e('Set featured image on the related post if you need to display image.', 'newses'); ?>
		</p>
		<p>
			<input id="<?php echo $this->get_field_id('style'); ?>" name="<?php echo $this->get_field_name('style'); ?>" type="checkbox" value="1" <?php checked( '1', absint($instance['style']) ); ?>/>
			<label for="<?php echo $this->get_field_id('style'); ?>">
				<?php esc_html_e('Horizontal Style','newses'); ?>
			</label>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('widget_title'); ?>">
				<?php esc_html_e('Title: ', 'newses'); ?>
			</label>
			<input id="<?php echo $this->get_field_id('widget_title'); ?>" name="<?php echo $this->get_field_name('widget_title'); ?>" type="text" value="<?php echo esc_attr($title); ?>"/>
		</p>
		<p>
			<input type="radio" id="<?php echo ($this->get_field_id('type') . '-1'); ?>" name="<?php echo ($this->get_field_name('type')); ?>" value="1" <?php checked($type == 1, true); ?>>
			<label for="<?php echo ($this->get_field_id('type') . '-1'); ?>" class="input-label"><?php esc_html_e('Latest Posts', 'newses'); ?></label>
			<br>
			<input type="radio" id="<?php echo ($this->get_field_id( 'type') . '-2'); ?>" name="<?php echo ($this->get_field_name('type')); ?>" value="2" <?php checked($type == 2, true); ?>>
			<label for="<?php echo ($this->get_field_id('type') . '-2'); ?>" class="input-label"><?php esc_html_e('Show Posts from Category', 'newses'); ?></label>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('category'); ?>">
				<?php esc_html_e('Choose Category:', 'newses'); ?>
			</label>
			<?php wp_dropdown_categories(
				array(
					'show_option_none' => ' ',
					'name' => $this->get_field_name('category') ,
					'selected' => $instance['category']
				)
			); ?>
		</p>
		<?php
	}

	function update($new_instance, $old_instance) {
		$instance = $old_instance;
		$instance['category'] = absint($new_instance['category']);
		$instance['style'] = absint($new_instance['style']);
		$instance['widget_title'] = sanitize_text_field($new_instance['widget_title']);
		$instance['type'] = ( isset($new_instance['type']) && $new_instance['type'] > 0 && $new_instance['type'] < 3 ) ? (int) $new_instance['type'] : 1;
		return $instance;
	}

	function widget($args, $instance) {

		$category = isset($instance['category']) ? $instance['category'] : '';
		$style = empty($instance['style']) ? '' : $instance['style'];
		$widget_title = apply_filters( 'widget_title', empty( $instance['widget_title'] ) ? '' : $instance['widget_title'], $instance, $this->id_base );
		$type = ( isset($instance['type']) && is_numeric($instance['type']) ) ? (int) $instance['type'] : 1;
		global $post;

		$post_type = array(
			'posts_per_page' => 5,
			'post_type' => array('post'),
			'post__not_in' => get_option('sticky_posts'),
		);
		if ( $type == 2 ) {
			$post_type['category__in'] = $category;
		}

		$get_featured_posts = new WP_Query($post_type);

		//echo $args['before_widget']; ?>
		<!-- mg-posts-sec mg-posts-modul-1 -->
		<div class="mg-posts-sec mg-posts-modul-1 wd-back">
            <!-- mg-sec-title -->                    
       		<?php newses_site_title_design($widget_title); ?>
            <div class="mg-posts-sec-inner row">

				<?php if ( $style == 0 ) { ?>
				<div class="<?php echo ($style == 0) ? 'col-md-6 ' : 'col-12 ' ;?> col-md-6 col-sm-6">
					<?php
					$i=1;
					while ($get_featured_posts->have_posts()):$get_featured_posts->the_post(); ?>
					<?php if ( $i == 1 ) { ?>
						<?php 
						$url = newses_get_freatured_image_url($post->ID, 'newses-featured'); ?>
						<div class="mg-blog-post-3 lg back-img" style="background-image: url('<?php echo esc_url($url); ?>');">
							<a href="<?php the_permalink(); ?>">
	                    	</a>
							<div class="mg-blog-inner">
	                    	<div class="mg-blog-category"> <?php newses_post_categories(); ?> </div>
	                    	<h4 class="title lg"> <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
	                    	<?php newses_post_meta(); ?>
	                		</div>
						</div><!-- post-boxed -->
				</div>
				<div class="<?php echo ($style == 0) ? 'col-md-6 ' : 'col-12 ' ;?>col-md-6 col-sm-6">
                	<div class="row">
					<?php } ?>
						<div class="col-md-6 col-xs-6 express-post-<?php echo esc_attr($i); ?>">
							<div class="mg-blog-post-box sm">
							<?php 
							$url = newses_get_freatured_image_url($post->ID, 'newses-featured'); ?>
								<div class="mg-blog-thumb sm back-img" style="background-image: url('<?php echo esc_url($url); ?>');">
									<a href="<?php the_permalink(); ?>">
		                        	<?php if (!empty($url)): ?>
		                        	<?php endif; ?>
		                        	</a>
		                        	<div class="mg-blog-category"> <?php newses_post_categories(); ?> </div>
								</div>
								<article class="small px-0">
									<h4 class="title"> <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
									<?php newses_post_meta(); ?>
								</article>
							</div>
						</div><!-- /col-md-6 -->
					<?php $i++;
					endwhile;
					// Reset Post Data
					wp_reset_postdata(); ?>
					</div><!-- /row -->
				</div>
			<?php } elseif($style == 1) { ?>

				<div class="col-md-12 col-xs-12 mb-4">
					<?php
					$i=1;
					while ($get_featured_posts->have_posts()):$get_featured_posts->the_post(); ?>
					<?php if ( $i == 1 ) { ?>
						<?php 
						$url = newses_get_freatured_image_url($post->ID, 'newses-featured'); ?>
						<div class="mg-blog-post-3 lg back-img" style="background-image: url('<?php echo esc_url($url); ?>');">
							<a href="<?php the_permalink(); ?>">
	                    	</a>
							<div class="mg-blog-inner">
	                    	<div class="mg-blog-category"> <?php newses_post_categories(); ?> </div>
	                    	<h4 class="title lg"> <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
	                    	<?php newses_post_meta(); ?>
	                		</div>
						</div><!-- post-boxed -->
				</div>
				<div class="col-md-12 col-xs-12">
                	<div class="row">
					<?php } ?>
						<div class="col-md-3 col-xs-6 express-post-<?php echo esc_attr($i); ?>">
							<div class="mg-blog-post-box sm">
							<?php 
							$url = newses_get_freatured_image_url($post->ID, 'newses-featured'); ?>
								<div class="mg-blog-thumb sm back-img" style="background-image: url('<?php echo esc_url($url); ?>');">
									<a href="<?php the_permalink(); ?>">
		                        	<?php if (!empty($url)): ?>
		                        	<?php endif; ?>
		                        	</a>
		                        	<div class="mg-blog-category"> <?php newses_post_categories(); ?> </div>
								</div>
								<article class="small px-0">
									<h4 class="title"> <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
									<?php newses_post_meta(); ?>
								</article>
							</div>
						</div><!-- /col-md-6 -->
					<?php $i++;
					endwhile;
					// Reset Post Data
					wp_reset_postdata(); ?>
					</div><!-- /row -->
				</div>

			<?php } ?>




			 <!-- // mg-posts-sec-inner -->
			</div> <!-- // mg-posts-sec mg-posts-modul-1 -->
		<?php echo $args['after_widget'] . '<!-- .widget_featured_post -->';
	}
}